module CTdsTongEnum
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_TdsTong()
        implicit none
        
        if (data%Configuration%Hoisting%DriveType == TopDrive_DriveType) then
#ifdef OST
            print*, 'Evaluate_TdsTong=TopDrive'
#endif



            !TOPDRIVE-CODE=1
            if (Get_TdsConnectionModes() == TDS_CONNECTION_SPINE .and.&
                Get_TdsBackupClamp() == BACKUP_CLAMP_FW_END .and.&
                data%EquipmentControl%TopDrivePanel%TopDriveTdsPowerState == TdsPower_FWD .and.&
                data%EquipmentControl%TopDrivePanel%TopDriveDrillTorqueState == TdsMu_TORQ) then
            
                call Set_TdsTong(TDS_TONG_MAKEUP_BEGIN)
                !TopDriveTorqueWrenchLed = LED_ON
                return
            end if
                
                
                
            !TOPDRIVE-CODE=2
            if (Get_TdsConnectionModes() == TDS_CONNECTION_STRING .and.&
                Get_TdsBackupClamp() == BACKUP_CLAMP_FW_END .and.&
                data%EquipmentControl%TopDrivePanel%TopDriveTdsPowerState == TdsPower_REV .and.&
                data%EquipmentControl%TopDrivePanel%TopDriveDrillTorqueState == TdsMu_TORQ) then
            
                call Set_TdsTong(TDS_TONG_BREAKOUT_BEGIN)
                !TopDriveTorqueWrenchLed = LED_ON
                return
            end if


        endif
        
        
        
        
        
        
        
        
        
        if (data%Configuration%Hoisting%DriveType == Kelly_DriveType) then
#ifdef OST
            print*, 'Evaluate_TdsTong=Kelly'
#endif
        endif
        
    end subroutine
    
    subroutine Subscribe_TdsTong()
        use CDrillingConsoleVariables
    use SimulationVariables
    use SimulationVariables
        implicit none
    end subroutine
    
end module CTdsTongEnum